#!/usr/bin/perl

##############################################################################
# FormMail                        Version 1.92                               #
# Copyright 1995-2002 Matt Wright mattw@worldwidemart.com                    #
# Created 06/09/95                Last Modified 04/21/02                     #
# Matt's Script Archive, Inc.:    http://www.worldwidemart.com/scripts/      #
##############################################################################
#                                                                            #
# VERSION FRANCAISE PAR Sebastien Joncheray http://www.perl-gratuit.com      #
# Renomm formmail-vf.pl                                                     #
#                                                                            #
#     Traduction Mise  jour avec la dernire version le 4 Mai 2002          #
#                                                                            #
##############################################################################
# COPYRIGHT NOTICE                                                           #
# Copyright 1995-2002 Matthew M. Wright  All Rights Reserved.                #
#                                                                            #
# FormMail may be used and modified free of charge by anyone so long as this #
# copyright notice and the comments above remain intact.  By using this      #
# code you agree to indemnify Matthew M. Wright from any liability that      #
# might arise from its use.                                                  #
#                                                                            #
# Selling the code for this program without prior written consent is         #
# expressly forbidden.  In other words, please ask first before you try and  #
# make money off of my program.                                              #
#                                                                            #
# Obtain permission before redistributing this software over the Internet or #
# in any other medium. In all cases copyright and header must remain intact. #
##############################################################################
# ACCESS CONTROL FIX: Peter D. Thompson Yezek                                #
#                     http://www.securityfocus.com/archive/1/62033           #
##############################################################################
# Definition des Variables                                                   #
#	 Informations Dtailles dans lisezmoi.txt                           #

# $mailprog definit l'emplacement du programme unix sendmail                 #
# Les arguments -i et -t doivent etre passs  sendmail afin qu'il ignore les#
# lignes contenant un point seul (fin de mail en principe) et recherche le   #
# destinataire dans l'en-tte du mail.                                       #
# (LAISSEZ ABSOLUMENT: -i -t derrire l'emplacement de sendmail !! )         #

$mailprog = '/usr/sbin/sendmail -i -t';

# (LAISSEZ ABSOLUMENT: -i -t derrire l'emplacement de sendmail !! )         #

# @referers liste les noms de domaines autoriss  avoir un formulaire       #
# utilisant ce script                                                        #
# Cette scurit empche n'importe qui d'utiliser votre script depuis son    #
# serveur web                                                                #

@referers = ('localhost','leri.univ-reims.fr/~brun/GFINC/fr/submit_bibtex.html','leri.univ');

# @recipients liste les adresses E-Mail ou les noms de domaines vers o les  #
# E-Mails peuvent tre envoys (limitation des destinataires possibles).     #
# Cela doit tre correctement rempli afin d'viter tout SPAM, et de permettre#
# aux destinataires valides de recevoir l'E-Mail de chaque formulaire rempli.#
# Lisez la documentation jointe pour bien comprendre comment cette variable  #
# fonctionne!!! C'est EXTREMEMENT IMPORTANT.
#@recipients = &fill_recipients(@referers);

@recipients = ('^tremeau@vision.univ-st-etienne.fr','^luc.brun@univ-reims.fr');

# ACCESS CONTROL FIX: Peter D. Thompson Yezek                                #
# @valid_ENV permet  l'administrateur systme de dfinir quelles variables  #
# d'environnement peuvent tre reportes via la directive env_report. Ceci a #
# t implment pour rgler le problme rapport                            #
#  l'URL  http://www.securityfocus.com/bid/1187                             #

@valid_ENV = ('REMOTE_HOST','REMOTE_ADDR','REMOTE_USER','HTTP_USER_AGENT');

# Termin                                                                    #
##############################################################################
# Vrifie l'URL rfrante
&check_url;
# Obtient la date
&get_date;
# Rcupre les donnes du formulaire
&parse_form;
# Vrifie les champs obligatoires
&check_required;

# Envoie l'E-Mail
&send_mail;

# Renvoie la page html ou redirige le visiteur
&return_html;
sub check_required {

    # Localise les variables utilises dans ce sous-programme.               #
    local($require, @error);

    # Ce qui suit nous assure qu'il n'y a pas de retour  la ligne dans aucun#
    # des champs qui vont tre utiliss dans l'en-tte (du mail envoy)      #
    if ($Config{'subject'} =~ /(\n|\r)/m || $Config{'email'} =~ /(\n|\r)/m ||
        $Config{'realname'} =~ /(\n|\r)/m || $Config{'recipient'} =~ /(\n|\r)/m) {
        &error('invalid_headers');
    }


    if (!$Config{'recipient'}) {
        if (!defined(%Form)) { &error('bad_referer') }
        else                 { &error('no_recipient') }
    }
    else {
        # Ce bloc vrifie que l'adresse E-Mail du destinataire du message    #
        # (champ "recipient") fini par un domaine ou une adresse email valide#
        # tel que dfini dans  @recipients.                                  #
        $valid_recipient = 0;
        foreach $send_to (split(/,/,$Config{'recipient'})) {
            foreach $recipient (@recipients) {
                if ($send_to =~ /$recipient$/i) {
                    push(@send_to,$send_to); last;
                }
            }
        }
        if ($#send_to < 0) { &error('no_recipient') }
        $Config{'recipient'} = join(',',@send_to);
    }

    # Pour chaque champ obligatoire dfini dans le formulaire:               #
    foreach $require (@Required) {

        # Si le champ obligatoire est le champ email, vrifier la syntaxe    #
        if ($require eq 'email' && !&check_email($Config{$require})) {
            push(@error,$require);
        }

        # Sinon, si le champ obligatoire est un champ de configuration et    #
        # qu'il n'a pas de valeur ou n'est compos que d'espaces, erreur.    #
        elsif (defined($Config{$require})) {
            if ($Config{$require} eq '') { push(@error,$require); }
        }

        # Si c'est un champ normal qui n'a pas t rempli, ou n'est compos  #
        # que d'espaces, le signaler comme champ avec erreur.                #
        elsif (!defined($Form{$require}) || $Form{$require} eq '') {
            push(@error,$require);
        }
    }

    # Si un champ avec erreur a t trouv, renvoyer un message d'erreur.    #
    if (@error) { &error('missing_fields', @error) }
}

sub return_html {
    # Variables locales utilises dans ce sous-programme initialises.       #
    local($key,$sort_order,$sorted_field);

    local($field);
    foreach $field (keys %Config) {
        $safeConfig{$field} = &clean_html($Config{$field});
    }

    foreach $field (keys %Form) {
        $Form{$field} = &clean_html($Form{$field});
    }

    # Si l'option redirect est utilise, renvoyer l'en-tte de redirection.  #
    if ($Config{'redirect'}) {
        print "Location: $safeConfig{'redirect'}\n\n";
    }

    # Sinon, commencer  afficher la page de rponse.                        #
    else {

        # Renvoyer l'en-tte HTTP et ouvrir les tags HTML.                   #
        print "Content-type: text/html\n\n";
        print "<html>\n <head>\n";

        # Afficher le titre de la page                                       #
        if ($Config{'title'}) { print "<title>$safeConfig{'title'}</title>\n" }
        else                  { print "<title>Merci</title>\n"        }

        print " </head>\n <body";

        # Rcupration des attributs du tag Body                             #
        &body_attributes;

        # Fermer le tag Body                                                 #
        print ">\n  <center>\n";

        # Afficher le titre personnalis ou celui gnrique.                 #
        if ($Config{'title'}) { print "<h1>$safeConfig{'title'}</h1>\n" }
        else { print "<h1>Merci d'avoir rempli ce formulaire</h1>\n" }

        print "</center>\n";

        print "Voici ce que vous avez soumis  $safeConfig{'recipient'} le ";
        print "$date<p><hr size=1 width=75\%><p>\n";


        # Si un ordre de tri est spcifi, classer les champs de formulaire en consquence.
        if ($Config{'sort'} =~ /^order:.*,.*/) {

            # Dfinit la variable temporaire $sort_order avec l'ordre,       #
            # enlve les retour-chariots et espaces en trop, enlve la directive
            # d'ordre et spare les champs tris en un tableau.              #
            $sort_order = $Config{'sort'};
            $sort_order =~ s/(\s+|\n)?,(\s+|\n)?/,/g;
            $sort_order =~ s/(\s+)?\n+(\s+)?//g;
            $sort_order =~ s/order://;
            @sorted_fields = split(/,/, $sort_order);

            # Pour chaque champ tri, s'il a une valeur ou si l'option print #
            # blank fields est active, afficher le nom du champ et sa valeur#
            foreach $sorted_field (@sorted_fields) {
                local $sfname = &clean_html($sorted_field);

                if ($Config{'print_blank_fields'} || $Form{$sorted_field} ne '') {
                    print "<b>$sfname:</b> $Form{$sorted_field}<p>\n";
                }
            }
        }

        # Sinon, utiliser l'ordre dans lequel les champs ont t envoys, ou #
        # l'ordre alphabtique.                                              #
        else {

            # Tri alphabtique si demand.                                   #
            if ($Config{'sort'} eq 'alphabetic') {
                @Field_Order = sort @Field_Order;
            }

            # Pour chaque champ, s'il a une valeur ou si l'option print      #
            # blank fields est active, afficher le nom du champ et sa valeur#
            foreach $field (@Field_Order) {
                local $fname = &clean_html($field);

                if ($Config{'print_blank_fields'} || $Form{$field} ne '') {
                    print "<b>$fname:</b> $Form{$field}<p>\n";
                }
            }
        }

        print "<p><hr size=1 width=75%><p>\n";

        # Recherche si un lien de retour  t spcifi, et affichage si trouv
        if ($Config{'return_link_url'} && $Config{'return_link_title'}) {
            print "<ul>\n";
            print "<li><a href=\"$safeConfig{'return_link_url'}\">$safeConfig{'return_link_title'}</a>\n";
            print "</ul>\n";
        }

        # Affiche le bas de page.                                            #
        print <<"(END HTML FOOTER)";
        <hr size=1 width=75%><p> 
        <center><font size=-1><a href="http://www.worldwidemart.com/scripts/formmail.shtml">FormMail</a> V1.92 &copy; 1995 - 2002  Matt Wright.A Free Product of <a href="http://www.worldwidemart.com/scripts/">Matt's Script Archive, Inc.</a><br>
        Version Franaise <a href="http://www.perl-gratuit.com">perl-gratuit.com</a></font></center>
        </body>
       </html>
(END HTML FOOTER)
    }
}

sub send_mail {
    # Localise les variables utilises dans ce sous-programme.               #
    local($print_config,$key,$sort_order,$sorted_field,$env_report);

    # Ouvrir le programme de Mail
    open(MAIL,"|$mailprog");

    print MAIL "To: $Config{'recipient'}\n";
    print MAIL "From: $Config{'email'} ($Config{'realname'})\n";

    # Vrifier la prsence d'un titre de l'email
    if ($Config{'subject'}) { print MAIL "Subject: $Config{'subject'}\n\n" }
    else                    { print MAIL "Subject: Formulaire envoy du web\n\n" }

    print MAIL "Voici le rsultat du formulaire envoy par\n";
    print MAIL "$Config{'realname'} ($Config{'email'}) le $date\n";
    print MAIL "-" x 75 . "\n\n";

    if (@Print_Config) {
        foreach $print_config (@Print_Config) {
            if ($Config{$print_config}) {
                print MAIL "$print_config: $Config{$print_config}\n\n";
            }
        }
    }

    # Si un ordre de tri est spcifi, classer les champs de formulaire en consquence. 
    if ($Config{'sort'} =~ /^order:.*,.*/) {

        # enlve les retour-chariots et espaces en trop, enlve la directive #
        # d'ordre et spare les champs tris en un tableau.                  #
        local $sort_order = $Config{'sort'};
        $sort_order =~ s/(\s+|\n)?,(\s+|\n)?/,/g;
        $sort_order =~ s/(\s+)?\n+(\s+)?//g;
        $sort_order =~ s/order://;
        @sorted_fields = split(/,/, $sort_order);

        # Pour chaque champ tri, s'il a une valeur ou si l'option print     #
        # blank fields est active, afficher le nom du champ et sa valeur    #
        foreach $sorted_field (@sorted_fields) {
            if ($Config{'print_blank_fields'} || $Form{$sorted_field} ne '') {
                print MAIL "$sorted_field: $Form{$sorted_field}\n\n";
            }
        }
    }


    # Sinon, l'ordre est celui dans lequel les champs ont t envoys ou     #
    # l'ordre alphabtique                                                   #
    else {

        # Tri alphabtique si demand:                                       #
        if ($Config{'sort'} eq 'alphabetic') {
            @Field_Order = sort @Field_Order;
        }

        # Pour chaque champ tri, s'il a une valeur ou si l'option print     #
        # blank fields est active, afficher le nom du champ et sa valeur    #
        foreach $field (@Field_Order) {
            if ($Config{'print_blank_fields'} || $Form{$field} ne '') {
                print MAIL "$field: $Form{$field}\n\n";
            }
        }
    }

    print MAIL "-" x 75 . "\n\n";

    # Envoyer les variables d'environnement.                                #
    foreach $env_report (@Env_Report) {
        if ($ENV{$env_report}) {
            print MAIL "$env_report: $ENV{$env_report}\n";
        }
    }

    close (MAIL);
}

# NOTE rev1.91: Cette fonction n'a plus vraiment pour but d'empcher le SPAM,#
# ceci est maintenant assur par les vrification faites sur @recipients et  #
# sur le champ de formulaire "recipient"                                     #

sub check_url {

    # Localise le flag check_referer qui dtermine s'il faut valider l'appel #
    local($check_referer) = 0;

    # Si l'URL rfrante est spcifie, pour chacun des @referers valides,   #
    # s'assurer que c'est une URL rfrente valide qui appelle formmail-vf.  #

    if ($ENV{'HTTP_REFERER'}) {
        foreach $referer (@referers) {
            if ($ENV{'HTTP_REFERER'} =~ m|https?://([^/]*)$referer|i) {
                $check_referer = 1;
                last;
            }
        }
    }
    else {
        $check_referer = 1;
    }

    # Si le HTTP_REFERER est invalide, renvoyer une erreur.                  #
    if ($check_referer != 1) { &error('bad_referer') }
}

sub get_date {

    # Definie le tableau des jours de la semaine et mois de l'anne.         #
    @days   = ('Dimanche','Lundi','Mardi','Mercredi',
               'Jeudi','Vendredi','Samedi');
    @months = ('Janvier','Fvrier','Mars','Avril','Mai','Juin','Juillet',
	         'Aout','Septembre','Octobre','Novembre','Dcembre');

    # Rcupre la date courante et formate en heures, minutes et secondes.  #
    # Ajoute 1900  l'anne pour avoir les 4 chiffres de l'anne.            #
    ($sec,$min,$hour,$mday,$mon,$year,$wday) = (localtime(time))[0,1,2,3,4,5,6];
    $time = sprintf("%02d:%02d:%02d",$hour,$min,$sec);
    $year += 1900;

    # Formate la date.                                                       #
    $date = "$days[$wday] $mday $months[$mon] $year  $time";

}
sub parse_form {

    # Dfinition du tableau associatif de configuration.                     #
    %Config = ('recipient','',          'subject','',
               'email','',              'realname','',
               'redirect','',           'bgcolor','',
               'background','',         'link_color','',
               'vlink_color','',        'text_color','',
               'alink_color','',        'title','',
               'sort','',               'print_config','',
               'required','',           'env_report','',
               'return_link_title','',  'return_link_url','',
               'print_blank_fields','', 'missing_fields_redirect','');

    # Dtermine la REQUEST_METHOD (GET ou POST) et spare les champs de      #
    # formulaires en paires nom-valeur.  Si la REQUEST_METHOD est ni         #
    # GET ni POST, renvoyer une erreur.                                      #
    if ($ENV{'REQUEST_METHOD'} eq 'GET') {
        # Sparer les paires nom-valeur
        @pairs = split(/&/, $ENV{'QUERY_STRING'});
    }
    elsif ($ENV{'REQUEST_METHOD'} eq 'POST') {
        # Lire les paramtres en entre
        read(STDIN, $buffer, $ENV{'CONTENT_LENGTH'});
 
        # Lire les paires nom-valeur
        @pairs = split(/&/, $buffer);
    }
    else {
        &error('request_method');
    }

    # Pour chaque paire nom-valeur:                                          #
    foreach $pair (@pairs) {

        # Sparer la paire en 2 variables individuelles.                     #
        local($name, $value) = split(/=/, $pair);
 
        # Decoder l'encodage des donnes du nom et valeur.                   #
        # v1.92: Supprime les octets zro ('null')                            #
        $name =~ tr/+/ /;
        $name =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
        $name =~ tr/\0//d;

        $value =~ tr/+/ /;
        $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
        $value =~ tr/\0//d;

        # Si le nom de champ est spcifi dans le tableau %Config, cela va   #
        # renvoyer 1 pour defined($Config{$name}}) et on doit associer       #
        # cette valeur  la variable de configuration approprie.  Si ce     #
        # n'est pas un champ de configuration, la mettre dans le tableau     #
        # associatif %Form, en la prcdent de ', ' s'il y a dj une valeur #
        # prsente.  On conserve galement l'ordre des champs de formulaire  #
        # dans @Field_Order pour utiliser cette ordre pour un tri gnrique. #
        if (defined($Config{$name})) {
            $Config{$name} = $value;
        }
        else {
            if ($Form{$name} ne '') {
                $Form{$name} = "$Form{$name}, $value";
            }
            else {
                push(@Field_Order,$name);
                $Form{$name} = $value;
            }
        }
    }

    # Les six lignes suivantes enlvent les espaces ou retour-chariot ventuels
    # en trop des variables de configuration,qui peuvent tre l si l'diteur html
    # ajoute des retours  la ligne au-del d'une certaine longeur ou si vous 
    # utilisez des espaces dans les noms de champs ou de variables d'environnement.
    $Config{'required'} =~ s/(\s+|\n)?,(\s+|\n)?/,/g;
    $Config{'required'} =~ s/(\s+)?\n+(\s+)?//g;
    $Config{'env_report'} =~ s/(\s+|\n)?,(\s+|\n)?/,/g;
    $Config{'env_report'} =~ s/(\s+)?\n+(\s+)?//g;
    $Config{'print_config'} =~ s/(\s+|\n)?,(\s+|\n)?/,/g;
    $Config{'print_config'} =~ s/(\s+)?\n+(\s+)?//g;

    # Spare les variables de configuration dans des champs individuels.     #
    @Required = split(/,/,$Config{'required'});
    @Env_Report = split(/,/,$Config{'env_report'});
    @Print_Config = split(/,/,$Config{'print_config'});

    # ACCESS CONTROL FIX: Autoriser dans @Env_Report, uniquement les         #
    # variables d'environnement prsentes dans @valid_ENV, par scurit      #
    foreach $env_item (@Env_Report) {
        foreach $valid_item (@valid_ENV) {
            if ( $env_item eq $valid_item ) { push(@temp_array, $env_item) }
        }
    } 
    @Env_Report = @temp_array;
}
sub error { 
    # Localise les variables et paramtres du sous-programme.                #
    local($error,@error_fields) = @_;
    local($host,$missing_field,$missing_field_list);

    if ($error eq 'bad_referer') {
        if ($ENV{'HTTP_REFERER'} =~ m|^https?://([\w\.]+)|i) {
            $host = $1;
            my $referer = &clean_html($ENV{'HTTP_REFERER'});
            print <<"(END ERROR HTML)";
Content-type: text/html

<html>
 <head>
  <title>Mauvais Rfrant - Accs Interdit</title>
 </head>
 <body bgcolor=#FFFFFF text=#000000>
  <center>
   <table border=0 width=600 bgcolor=#9C9C9C>
    <tr><th><font size=+2>Mauvais Rfrant - Accs Interdit</font></th></tr>
   </table>
   <table border=0 width=600 bgcolor=#CFCFCF>
    <tr><td>Le formulaire tentant d'utiliser
     <a href="http://www.worldwidemart.com/scripts/formmail.shtml">FormMail</a>
     provient de <tt>$referer</tt>, qui n'est pas autoris  accder  ce script cgi.<p>

     Si vous essayez de configurer formmail-vf pour qu'il fonctionne avec ce formulaire, vous devez
     ajouter ce qui suit  \@referers, expliqu dans la fichier lisezmoi.txt.<p>

     Ajoutez <tt>'$host'</tt> au tableau <tt><b>\@referers</b></tt>.<hr size=1>
     <center><font size=-1>
      <a href="http://www.worldwidemart.com/scripts/formmail.shtml">FormMail</a> V1.92 &copy; 1995 - 2002  Matt Wright.
      A Free Product of <a href="http://www.worldwidemart.com/scripts/">Matt's Script Archive, Inc.</a>
       <br>Version Franaise <a href="http://www.perl-gratuit.com">perl-gratuit.com</a> </font></center>
     </font></center>
    </td></tr>
   </table>
  </center>
 </body>
</html>
(END ERROR HTML)
        }
        else {
            print <<"(END ERROR HTML)";
Content-type: text/html

<html>
 <head>
  <title>formmail-vf v1.92</title>
 </head>
 <body bgcolor=#FFFFFF text=#000000>
  <center>
   <table border=0 width=600 bgcolor=#9C9C9C>
    <tr><th><font size=+2>formmail-vf</font></th></tr>
   </table>
   <table border=0 width=600 bgcolor=#CFCFCF>
    <tr><th><tt><font size=+1>Copyright 1995 - 2002 Matt Wright<br>
        Version 1.92 - Released April 21, 2002<br>
        A Free Product of <a href="http://www.worldwidemart.com/scripts/">Matt's Script Archive,
        Inc.</a>
       <br>Version Franaise <a href="http://www.perl-gratuit.com">perl-gratuit.com</a>
       </font></tt></th></tr>
   </table>
  </center>
 </body>
</html>
(END ERROR HTML)
        }
    }

    elsif ($error eq 'request_method') {
            print <<"(END ERROR HTML)";
Content-type: text/html

<html>
 <head>
  <title>Erreur: Mthode de Requte</title>
 </head>
 <body bgcolor=#FFFFFF text=#000000>
  <center>
   <table border=0 width=600 bgcolor=#9C9C9C>
    <tr><th><font size=+2>Erreur: Mthode de Requte</font></th></tr>
   </table>
   <table border=0 width=600 bgcolor=#CFCFCF>
    <tr><td>La Mthode de Requte de votre formulaire ne correspond ni  
     <tt>GET</tt> ni  <tt>POST</tt>.  Merci de vrifier votre formulaire et de vous assurer
     que le tag <tt>method=</tt> est en majuscules et correspond  <tt>GET</tt> ou <tt>POST</tt>.<p>

     <center><font size=-1>
      <a href="http://www.worldwidemart.com/scripts/formmail.shtml">FormMail</a> V1.92 &copy; 1995 - 2002  Matt Wright.
      A Free Product of <a href="http://www.worldwidemart.com/scripts/">Matt's Script Archive, Inc.</a>
       <br>Version Franaise <a href="http://www.perl-gratuit.com">perl-gratuit.com</a>
     </font></center>
    </td></tr>
   </table>
  </center>
 </body>
</html>
(END ERROR HTML)
    }

    elsif ($error eq 'no_recipient') {
            print <<"(END ERROR HTML)";
Content-type: text/html

<html>
 <head>
  <title>Erreur: Destinataire manquant/invalide</title>
 </head>
 <body bgcolor=#FFFFFF text=#000000>
  <center>
   <table border=0 width=600 bgcolor=#9C9C9C>
    <tr><th><font size=+2>Erreur: Destinataire manquant/invalide</font></th></tr>
   </table>
   <table border=0 width=600 bgcolor=#CFCFCF>
    <tr><td>Aucun destinataire (ou alors un destinatire invalide) n'est spcifi dans les donnes envoyes  formmail-vf.  Merci
     vous assurer que vous avez bien mis dans votre formulaire un champ <tt>recipient</tt> avec une adresse e-mail dont le domaine (ou l'adresse complte)
     est prsent dans la variable <tt>\@recipients</tt>.
     Davantage d'informations dans le fichier lisezmoi.txt.<hr size=1>

     <center><font size=-1>
      <a href="http://www.worldwidemart.com/scripts/formmail.shtml">FormMail</a> V1.92 &copy; 1995 - 2002  Matt Wright.
      A Free Product of <a href="http://www.worldwidemart.com/scripts/">Matt's Script Archive, Inc.</a>
       <br>Version Franaise <a href="http://www.perl-gratuit.com">perl-gratuit.com</a>
     </font></center>
    </td></tr>
   </table>
  </center>
 </body>
</html>
(END ERROR HTML)
    }

    elsif ($error eq 'invalid_headers') {
            print <<"(END ERROR HTML)";
Content-type: text/html

<html>
 <head>
  <title>Erreur: Champs d'en-tte invalides</title>
 </head>
 <body bgcolor=#FFFFFF text=#000000>
  <center>
   <table border=0 width=600 bgcolor=#9C9C9C>
    <tr><th><font size=+2>Erreur: Champs d'en-tte invalides</font></th></tr>
   </table>
   <table border=0 width=600 bgcolor=#CFCFCF>
    <tr><td>Au moins un des champs d'en-tte, ce qui inclue <tt>recipient</tt>, <tt>email</tt>, <tt>realname</tt> et <tt>subject</tt> a
     t rempli avec des caractres invalides. Vous ne devez pas mettre de retour  la ligne dans ces champs.
     Davantage d'informations sur la manire d'utiliser ces champs sont disponibles dans le fichier lisezmoi.txt<hr size=1>

     <center><font size=-1>
      <a href="http://www.worldwidemart.com/scripts/formmail.shtml">FormMail</a> V1.92 &copy; 1995 - 2002  Matt Wright.
      A Free Product of <a href="http://www.worldwidemart.com/scripts/">Matt's Script Archive, Inc.</a>
       <br>Version Franaise <a href="http://www.perl-gratuit.com">perl-gratuit.com</a>
     </font></center>
    </td></tr>
   </table>
  </center>
 </body>
</html>
(END ERROR HTML)
    }


    elsif ($error eq 'missing_fields') {
        if ($Config{'missing_fields_redirect'}) {
            print "Location: " . &clean_html($Config{'missing_fields_redirect'}) . "\n\n";
        }
        else {
            foreach $missing_field (@error_fields) {
                $missing_field_list .= "<li>" . &clean_html($missing_field) . "\n";
            }

            print <<"(END ERROR HTML)";
Content-type: text/html

<html>
 <head>
  <title>Erreur: Champs Obligatoires</title>
 </head>
  <center>
   <table border=0 width=600 bgcolor=#9C9C9C>
    <tr><th><font size=+2>Erreur: Champs Obligatoires</font></th></tr>
   </table>
   <table border=0 width=600 bgcolor=#CFCFCF>
    <tr><td>Les champs suivants n'ont pas t remplis dans le formulaire:<p>
     <ul>
$missing_field_list
     </ul><br>

     Ces champs doivent tre remplis pour que le formulaire soit envoy.<p>
     Merci d'utiliser le bouton de retour  la page prcdente de votre navigateur pour revenir au formulaire et essayer  nouveau.<hr size=1>
     <center><font size=-1>
      <a href="http://www.worldwidemart.com/scripts/formmail.shtml">FormMail</a> V1.92 &copy; 1995 - 2002  Matt Wright.
      A Free Product of <a href="http://www.worldwidemart.com/scripts/">Matt's Script Archive, Inc.</a>
       <br>Version Franaise <a href="http://www.perl-gratuit.com">perl-gratuit.com</a>
     </font></center>
    </td></tr>
   </table>
  </center>
 </body>
</html>
(END ERROR HTML)
        }
    }
    exit;
}


sub clean_html {
    local $value = $_[0];
    $value =~ s/\&/\&amp;/g;
    $value =~ s/</\&lt;/g;
    $value =~ s/>/\&gt;/g;
    $value =~ s/\"/\&quot;/g;
    return $value;
}


