#!/bin/sh
#set -x
BASE=%BASE%
XSL=$BASE/xml_xsl
error()
{
    echo "Content-type: text/html"
    echo ""
    echo "<html><head><title> Error</title></head>"
    echo "<body><h1><center> Request Error</center></h1></body></html>"
    exit 0
}

DISPLAY=`dirname $PWD`/xml/display.xml
THEMES=`dirname $PWD`/xml/themes.xml
BIBENTRIES=`dirname $PWD`/xml/bibentries.xml
SEARCH="xsltproc -param display \"document('$DISPLAY')/display\""
SEARCH="$SEARCH -param themes \"document('$THEMES')/themes\""
SEARCH="$SEARCH -param bibentries \"document('$BIBENTRIES')/bibentries\""
ifs=$IFS
IFS="&"
# protections avant l'analyse du QUERY_STRING
if [ "$QUERY_STRING" = "" ]
then
    error
fi
echo "$QUERY_STRING" | grep subtitle | grep year | grep subauthor | grep lang | grep theme | grep =| grep -q \& || error
echo $QUERY_STRING | grep -q \; && error

set $QUERY_STRING
for param in $*
do
	name=`echo $param|cut -d"=" -f1`
	value=`echo $param|cut -d"=" -f2`
	if [ "$value" = "" ]
	then
		value=\"\"
	fi
	SEARCH="$SEARCH -stringparam $name $value"
done
echo "Content-type: text/html"
echo ""
SEARCH="$SEARCH $XSL/recherche.xsl ../xml/biblio.xml"
eval $SEARCH

