<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

  <xsl:import href="biblio_styles.xsl"/>
  <xsl:import href="title.xsl"/>


  <xsl:output method="html" version="4.0" encoding="ISO-8859-1" indent="yes"/>
  <xsl:strip-space elements="*"/>
  <xsl:variable name="title" select="$display/bibentries/bartitle/text[@lang=$lang]"/>
  
	
  <xsl:template match="/">
    
    
    <html>
      <head>
	<link rel="stylesheet" type="text/css" href="../css/style.css"/>		
	<title> 
	  <xsl:value-of select="$title"/>
	</title>	
      </head>
      <body>
	<xsl:call-template name="create_title">
	  <xsl:with-param name="title" select="$title"/>
	  <xsl:with-param name="file" select="'../xx/biblio_plain.html'"/>
	  <xsl:with-param name="class" select="'finaltitle'"/>
	</xsl:call-template>

	<xsl:call-template name="biblio_styles">
	  <xsl:with-param name="link_plain" select="'biblio_plain.html'"/>
	  <xsl:with-param name="link_author" select="'biblio_authordate.html'"/>
	  <xsl:with-param name="link_bibtex" select="'biblio_bibtex.html'"/>
	</xsl:call-template>
	
	
	<xsl:apply-templates select="//entry"/>
      </body>
    </html>
  </xsl:template>
  <xsl:template match="entry">
    <pre>
      <xsl:value-of select="start"/>
      <xsl:value-of select="content"/>
      <xsl:value-of select="end"/>
    </pre>
</xsl:template>
  
</xsl:stylesheet>
