<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		version="1.0">
  
  <xsl:output method="html" version="4.0" encoding="ISO-8859-1" indent="yes"/>
  <xsl:strip-space elements="*"/>
  
  <xsl:template match="/">
    <html>	
      <xsl:apply-templates select="//entry[normalize-space(key)=$key]"/>   
    </html>	
  </xsl:template>
  <xsl:template match="entry">
	<head>
	  <script src="../javascripts/functions.js" language="javascript" type="text/javascript">
	  </script>
      <xsl:text>
      </xsl:text>
      <xsl:element name="script">
	<xsl:attribute name="language">
	  <xsl:value-of select="'javascript'"/>
	</xsl:attribute>
	<xsl:attribute name="type">
	  <xsl:value-of  select="'text/javascript'"/>
	</xsl:attribute>
	<xsl:call-template name="languages"/>
	<xsl:call-template name="titles"/>
	</xsl:element>
      <xsl:text>
      </xsl:text>
	<xsl:element name="script">
	<xsl:attribute name="language">
	  <xsl:value-of select="'javascript'"/>
	</xsl:attribute>
	<xsl:attribute name="type">
	  <xsl:value-of  select="'text/javascript'"/>
	</xsl:attribute>
	  <xsl:text> bartitle();</xsl:text>
	</xsl:element>
	<link rel="stylesheet" type="text/css" href="../css/style.css"/>
      </head>
      <body>
	<xsl:element name="script">
	<xsl:attribute name="language">
	  <xsl:value-of select="'javascript'"/>
	</xsl:attribute>
	<xsl:attribute name="type">
	  <xsl:value-of  select="'text/javascript'"/>
	</xsl:attribute>
	    
	    <xsl:text> mytitle();</xsl:text>
	  </xsl:element>      
      <xsl:text>
      </xsl:text>
      <xsl:element name="pre">
	<xsl:value-of select="start"/>
	<div class="bibentrycontent">
	  <xsl:value-of select="content"/>
	</div>
	<xsl:value-of select="end"/>
      </xsl:element>
    </body>
  </xsl:template>

  <xsl:template name="languages">
    <xsl:text>
      var langues;
    </xsl:text>
    <xsl:text>langues=new Array(</xsl:text>
    <xsl:value-of select="count($langs)"/>
    <xsl:text>);
    </xsl:text>
    <xsl:for-each select="$langs">
      <xsl:text>langues[</xsl:text>
      <xsl:value-of select="position() - 1"/>
      <xsl:text>]="</xsl:text>
      <xsl:value-of select="."/>
      <xsl:text>";
</xsl:text>
    </xsl:for-each>
  </xsl:template>
  <xsl:template name="titles">
    <xsl:text>var title;
    </xsl:text>
    <xsl:text>title=new Array(</xsl:text>
    <xsl:value-of select="count($langs)"/>
    <xsl:text>);
    </xsl:text>
    <xsl:for-each select="$title">
      <xsl:text>title[</xsl:text>
      <xsl:value-of select="position() - 1"/>
      <xsl:text>]=" </xsl:text>
      <xsl:value-of select="."/>
      <xsl:text>";
      </xsl:text>
    </xsl:for-each>
  </xsl:template>

</xsl:stylesheet>
