<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

  <xsl:import href="styles/styles.xsl"/>
  <xsl:import href="title.xsl"/>
  <xsl:import href="biblio_styles.xsl"/>

  <xsl:output method="html" version="4.0" encoding="ISO-8859-1" indent="yes"/>
  <xsl:strip-space elements="*"/>

  <xsl:template match="/biblio">
    <html>
      <head> 
	<link rel="stylesheet" type="text/css" href="../css/style.css"/>
	
	<xsl:variable name="title" select="$display/biblio/bartitle/text[@lang=$lang]"/>
	<title> 
	  <xsl:value-of select="$title"/>
	</title>
	
      </head>
      <body>
	<xsl:variable name="intro" select="$display/biblio/intro/text[@lang=$lang]"/>
	<xsl:call-template name="create_title">
	  <xsl:with-param name="title" select="$intro"/>
	  <xsl:with-param name="file" select="'../xx/biblio_plain.html'"/>
	  <xsl:with-param name="class" select="'finaltitle'"/>
	</xsl:call-template>
	
	<xsl:call-template name="biblio_styles">
	  <xsl:with-param name="link_plain"  select="'biblio_plain.html'"/>
	  <xsl:with-param name="link_author" select="'biblio_authordate.html'"/>
	  <xsl:with-param name="link_bibtex" select="'biblio_bibtex.html'"/>
	</xsl:call-template>
	<xsl:choose>	
	  <xsl:when test="$mode = '' or $mode='plain'">
	    <xsl:apply-templates select="./entry">
	      <xsl:sort select="./*/author/lastname"/>
	      <xsl:sort select="./*/editor/lastname"/>
	      <xsl:sort select="./*/publisher"/>
	    </xsl:apply-templates>
	  </xsl:when>
	  <xsl:otherwise>
	    <xsl:apply-templates select="./entry" mode="authordate">
	      <xsl:sort select="./*/author/lastname"/>
	      <xsl:sort select="./*/editor/lastname"/>
	      <xsl:sort select="./*/publisher"/>
	    </xsl:apply-templates>
	    <xsl:value-of select="$mode"/>
	  </xsl:otherwise>
	</xsl:choose>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
