<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:import href="title.xsl"/>

  <xsl:output method="html" version="4.0" encoding="ISO-8859-1" indent="yes"/>
  <xsl:strip-space elements="*"/>
  
  <xsl:variable name="title" select="$display/formquery/bartitle/text[@lang=$lang]"/>
  
  <xsl:template match="/">
    <html>
      <head> 
	<link rel="stylesheet" type="text/css" href="../css/style.css"/>
	<title> 
	  <xsl:value-of select="$title"/>
	</title>
      </head>
      <body>
	<xsl:variable name="mess_title" select="$display/formquery/title/text[@lang=$lang]"/>
	<xsl:variable name="mess_year" select="$display/formquery/year/text[@lang=$lang]"/>
	<xsl:variable name="mess_author" select="$display/formquery/author/text[@lang=$lang]"/>
	<xsl:variable name="mess_theme" select="$display/formquery/theme/text[@lang=$lang]"/>
	<xsl:variable name="mess_search" select="$display/formquery/search/text[@lang=$lang]"/>
	<xsl:call-template name="create_title">
	  <xsl:with-param name="title" select="$title"/>
	  <xsl:with-param name="file" select="'../xx/biblio_search.html'"/>
	  <xsl:with-param name="class" select="'title'"/>
	</xsl:call-template>

	<form method="get" action="../cgi-bin/search.cgi">
	  <xsl:element name="input">
	    <xsl:attribute name="type">hidden</xsl:attribute>
	    <xsl:attribute name="name">lang</xsl:attribute>
	    <xsl:attribute name="value"> 
	      <xsl:value-of select="$lang"/>
	    </xsl:attribute>
	  </xsl:element>
	  <xsl:element name="input">
	    <xsl:attribute name="type">hidden</xsl:attribute>
	    <xsl:attribute name="name">mode</xsl:attribute>
	    <xsl:attribute name="value"> 
	      <xsl:value-of select="'plain'"/>
	    </xsl:attribute>
	  </xsl:element>

	  <table class="formquery">
	    <tr>
	      <td>
		<xsl:value-of select="$mess_title"/>
	      </td>
	      <td>
		<input name="subtitle"/>
	      </td>
	    </tr>
	    <tr>
	      <td>
		<xsl:value-of select="$mess_author"/>
	      </td>
	      <td>
		<input name="subauthor"/>
	      </td>
	    </tr>
	    <tr>
	      <td>
		<xsl:value-of select="$mess_year"/>
	      </td>
	      <td>
		<input name="year"/>
	      </td>
	    </tr>
	    <tr>
	      <td>
		<xsl:value-of select="$mess_theme"/>
	      </td>
	      <td>
		<select name="theme">
		  <option> </option>
		  <xsl:apply-templates select="/themes/theme"/>
		</select>
	      </td>
	    </tr>	 
	  </table>   
	  <xsl:element name="input">
	    <xsl:attribute name="type">submit</xsl:attribute>
	    <xsl:attribute name="value"> 
	      <xsl:value-of select="$mess_search"/>
	    </xsl:attribute>
	  </xsl:element>
	</form>
      </body>
    </html>
  </xsl:template>
  <xsl:template match="theme">
    <xsl:param name="number"/>
    
    <xsl:element name="option">
      <xsl:attribute name="value"> 
	<xsl:value-of select="./@keyword"/>
      </xsl:attribute>
            <xsl:choose>
	<xsl:when test='$number=""'>
	  <xsl:value-of select="position()"/>
	</xsl:when>
	<xsl:otherwise>
	  <xsl:value-of select="concat($number,'.',position())"/>
	</xsl:otherwise>
      </xsl:choose>
      <xsl:value-of select="./text[@lang=$lang]"/>
    </xsl:element>
    <xsl:choose>
      <xsl:when test='$number=""'>
	<xsl:apply-templates select="./theme">
	  <xsl:with-param name="number" select="position()"/>
	</xsl:apply-templates>
      </xsl:when>
      <xsl:otherwise>
	<xsl:apply-templates select="./theme">
	  <xsl:with-param name="number" select="concat($number,'.',position())"/>
	</xsl:apply-templates>
	
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>
