<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="text" version="4.0" encoding="ISO-8859-1" indent="yes"/>
<xsl:strip-space elements="*"/>
<xsl:template match="/">
	<xsl:choose>
			<xsl:when test="$request='lang'">
				<xsl:apply-templates select="//language/lang"/>
			</xsl:when>
			<xsl:when test="$request='style'">
				<xsl:apply-templates select="//styles/style"/>
			</xsl:when>
			<xsl:when test="$request='install'">			   
				<xsl:value-of select="normalize-space(/config/install/option[@name=$option])"/>
			</xsl:when>
			<xsl:when test="$request='installdir'">	
				<xsl:apply-templates select="//install/dir"/>
			</xsl:when>
			<xsl:when test="$request='tempdir'">	
				<xsl:apply-templates select="//install/dir[@content='temp']"/>
			</xsl:when>

	</xsl:choose> 
</xsl:template>

<xsl:template match="lang|style|dir">
	<xsl:value-of select="."/>
	<xsl:text> </xsl:text>
</xsl:template>

</xsl:stylesheet>
