<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

	<xsl:import href="authordate.xsl"/>
	

  <xsl:template match="inproceedings" mode="authordate">

		<span class="AuthorDate">
			<xsl:apply-templates select="author"/>
		</span>
		
		
		<xsl:if test='year!=""'>
			<xsl:value-of select="./year"/>
		</xsl:if>
		
		<xsl:if test='month!=""'>
			<xsl:text>(</xsl:text><xsl:value-of select="./month"/><xsl:text>).</xsl:text>
		</xsl:if>
		
		<xsl:if test='concat(year,month)=""'>
			<xsl:text>.</xsl:text>
		</xsl:if>
		
			<xsl:choose>
			<xsl:when test="contains(title,'.')">
				<xsl:value-of select="title"/>
			</xsl:when>
			<xsl:otherwise>
					<xsl:value-of select="title"/><xsl:text>. </xsl:text>
			</xsl:otherwise>
		</xsl:choose>

					
		<xsl:if test='pages!=""'>
			<i><xsl:text>Pages: </xsl:text><xsl:value-of select="./pages"/><xsl:text> of: </xsl:text></i>
		</xsl:if>
		
		<xsl:if test='editor!=""'>
			<span class="AuthorDate">
				<xsl:apply-templates select="editor"/><xsl:text> (eds), </xsl:text>
			</span>
		</xsl:if>
				
		<i><xsl:value-of select="./booktitle"/></i>
	
		<xsl:choose>
			<xsl:when test='publisher!=""'>
				<xsl:if test='adress!=""'>
					<xsl:value-of select="./adress"/><xsl:text>: </xsl:text><xsl:value-of select="./publisher"/>
				</xsl:if>
				<xsl:if test='organization!=""'>
					<xsl:text>, </xsl:text><xsl:value-of select="./organization"/>
				</xsl:if>
				<xsl:text>.</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:if test='organization!=""'>
					<xsl:value-of select="./organization"/>
				</xsl:if>
				<xsl:if test='adress!=""'>
					<xsl:text>, </xsl:text><xsl:value-of select="./adress"/>
				</xsl:if>
				<xsl:text>.</xsl:text>
			</xsl:otherwise>
		</xsl:choose>


	</xsl:template>
  
</xsl:stylesheet>