<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:import href="authordate.xsl"/>

<xsl:template match="manual" mode="authordate">
	
	<xsl:if test='author!=""'>
		<span class="AuthorDate">
			<xsl:apply-templates select="author"/>
		</span>
	</xsl:if>
	
	<xsl:if test='year!=""'>
		<xsl:value-of select="year"/>
	</xsl:if>

	<xsl:if test='concat(year,title)!=""'>
		<xsl:text> (</xsl:text><xsl:value-of select="month"/><xsl:text>). </xsl:text>
	</xsl:if>
				
	<xsl:text>. </xsl:text><i><xsl:value-of select="title"/></i>
		
	<xsl:if test='organization!=""'>
		<xsl:value-of select="organization"/>
		<xsl:if test='concat(organization,adress)!=""'>	<xsl:text>, </xsl:text></xsl:if>
	</xsl:if>

	<xsl:if test='adress!=""'>
		<xsl:value-of select="adress"/>
	</xsl:if>
	
	<xsl:if test='concat(adress,note)!=""'>
		<xsl:text>. </xsl:text>
	</xsl:if>
	
	<xsl:if test='note!=""'>
		<xsl:value-of select="note"/>
	</xsl:if>
	<xsl:text>.</xsl:text>

</xsl:template>
</xsl:stylesheet>
		
