<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:import href="title.xsl"/>
  <xsl:output method="html" version="4.0" encoding="ISO-8859-1" indent="yes"/>
  <xsl:strip-space elements="*"/>
  <xsl:variable name="email" select="$administrator/email"/>
  <xsl:template match="/">
    <xsl:apply-templates select="display/submit_bibtex"/>
  </xsl:template>
  <xsl:template match="submit_bibtex">
    <html>
      <head> 
	<link rel="stylesheet" type="text/css" href="../css/style.css"/>
	<script src="../javascripts/submit_bibtex.js" language="javascript" type="text/javascript"></script>
	<title> 
	  <xsl:value-of select="bartitle/text[@lang=$lang]"/>
	</title>
	
      </head>
      <body>
	<xsl:call-template name="create_title">
	  <xsl:with-param name="title">
	    <xsl:value-of select="bartitle/text[@lang=$lang]"/>
	  </xsl:with-param>
	  <xsl:with-param name="file" select="'../xx/submit_bibtex.html'"/>
	  <xsl:with-param name="class" select="'title'"/>
	</xsl:call-template>
	<xsl:apply-templates/>

      </body>
    </html>
  </xsl:template>
  <xsl:template match="bartitle"/>
  <xsl:template match="explanations">
    <div class="submit_bibtex_expl">     
      <xsl:copy-of select="text[@lang=$lang]"/>
    </div>
  </xsl:template>
  <xsl:template match="formulaire">
    <div class="submit_bibtex_form">
      <xsl:text>
      </xsl:text>
      <xsl:element name="form">
	<xsl:attribute name="method">GET</xsl:attribute>
	<xsl:attribute name="action">../cgi-bin/formmail-vf.cgi</xsl:attribute>
	
	<xsl:attribute name="enctype">text/plain</xsl:attribute>
	<xsl:attribute name="name">zone</xsl:attribute>
	<xsl:attribute name="OnSubmit">return check_form(&apos;<xsl:value-of select="./onsubmit/empty_entry/text[@lang=$lang]"/>&apos;,&apos;<xsl:value-of select="onsubmit/invalid_entry/text[@lang=$lang]"/>&apos;)</xsl:attribute>
	<xsl:attribute name="OnReset">return check_form(&apos;<xsl:value-of select="onreset/text[@lang=$lang]"/>&apos;)</xsl:attribute>
	<xsl:text>
	</xsl:text>
	<xsl:element name="input">
	  <xsl:attribute name="type">hidden</xsl:attribute>
	  <xsl:attribute name="name">recipient</xsl:attribute>
          <xsl:attribute name="value"><xsl:value-of select="normalize-space($email)"/></xsl:attribute>
	</xsl:element>
	<xsl:text>
	</xsl:text>
	<xsl:element name="input">
	  <xsl:attribute name="type">hidden</xsl:attribute>
	  <xsl:attribute name="name">subject</xsl:attribute>
	  <xsl:attribute name="value"><xsl:value-of select="subject/text[@lang=$lang]"/>	</xsl:attribute>
	</xsl:element>
      <xsl:text>
      </xsl:text>
	<table align="center" bgcolor="#d0d0d0" border="1" cellpadding="10">
	  <tr>
	    <td>
	      <xsl:value-of select="email/text[@lang=$lang]"/>
	    </td>
	    <td> 
	      <input type="text" name="email"/>
	    </td>
	  </tr>
	  <tr>
	    <td>
	      <xsl:value-of select="comments/text[@lang=$lang]"/>
	    </td>
	    <td>
	      <xsl:element name="textarea">
		<xsl:attribute name="name" select="'comments'"/>
		<xsl:attribute name="rows">
		  <xsl:value-of select="comments/height"/>
		</xsl:attribute>
		<xsl:attribute name="cols">
		  <xsl:value-of select="comments/width"/>
		</xsl:attribute>
	      </xsl:element>
	    </td>
	  </tr>
	  <tr>
	    <td>
	      <xsl:value-of select="bibtex/text[@lang=$lang]"/>
	    </td>	  	    
	    <td>
	      <xsl:element name="textarea">
		<xsl:attribute name="name" select="'bibtex'"/>
		<xsl:attribute name="rows">
		  <xsl:value-of select="bibtex/height"/>
		</xsl:attribute>
		<xsl:attribute name="cols">
		  <xsl:value-of select="bibtex/width"/>
		</xsl:attribute>
	      </xsl:element>
	    </td>
	  </tr>
	  <tr>
	    <td></td>
	    <td align="center">
	      <input type="submit" value="OK" />
	      <input type="reset" value="Reset" />
	    </td>
	  </tr>
	</table>
      </xsl:element>
    </div>
  </xsl:template>
</xsl:stylesheet>
