<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:import href="title.xsl"/>
  <xsl:output method="html" version="4.0" encoding="ISO-8859-1" indent="yes"/>
  <xsl:strip-space elements="*"/>
  <xsl:variable name="title" select="$display/theme_keywords/bartitle/text[@lang=$lang]"/>
  <xsl:template match="/themes">
    <html>
      <head> 
	<link rel="stylesheet" type="text/css" href="../css/style.css"/>
	
	<title> 
	  <xsl:value-of select="$title"/>
	</title>
	
      </head>
      <body>
	<xsl:call-template name="create_title">
	  <xsl:with-param name="title" select="$title"/>
	  <xsl:with-param name="file" select="'../xx/theme_keyword.html'"/>
	  <xsl:with-param name="class" select="'finaltitle'"/>
	</xsl:call-template>
	<p class="theme_keyword_expl">
	<xsl:value-of select="$display/theme_keywords/explanation/text[@lang=$lang]"/>
	</p>
	<div class="theme">	
	  <xsl:apply-templates select="theme">
	  </xsl:apply-templates>
	</div>
      </body>
    </html>
  </xsl:template>
  <xsl:template match="theme">
    <xsl:param name="number"/>
    <xsl:variable name="keyword" select="@keyword"/>
    
    <div class="themeitem">	
      <xsl:choose>
	<xsl:when test='$number=""'>
	  <xsl:value-of select="position()"/>
	</xsl:when>
	<xsl:otherwise>
	  <xsl:value-of select="concat($number,'.',position())"/>
	</xsl:otherwise>
      </xsl:choose>
      <xsl:value-of select="./text[@lang=$lang]"/>
	<i><xsl:value-of select="concat('(',$keyword,')')"/></i>
    </div>
    <xsl:if test='./theme != ""'>
      <div class="theme">	
	<xsl:choose>
	  <xsl:when test='$number=""'>
	    <xsl:apply-templates select="./theme">
	      <xsl:with-param name="number" select="position()"/>
	    </xsl:apply-templates>
	  </xsl:when>
	  <xsl:otherwise>
	    <xsl:apply-templates select="./theme">
	      <xsl:with-param name="number" select="concat($number,'.',position())"/>
	    </xsl:apply-templates>
	    
	  </xsl:otherwise>
	</xsl:choose>
	
      </div>
    </xsl:if>
  </xsl:template>
</xsl:stylesheet>
