<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  
  
  <xsl:output method="xml" version="1.0" encoding="ISO-8859-1" indent="yes"/>
  <xsl:strip-space elements="*"/>

  <xsl:template match="/biblio">    
        <xsl:variable name="keywords">	  
        <xsl:for-each select="$themes/theme[@keyword=$theme]//@keyword">
          <xsl:value-of select="."/>
	    <xsl:text> </xsl:text>
	  </xsl:for-each>
	</xsl:variable>
        <xsl:variable name="query" select="./entry[(./*/theme[contains($keywords,normalize-space(text()))] or ./*/theme[normalize-space(text())=$theme])]"/>
        <selection>
          <xsl:apply-templates select="$query">
            <xsl:with-param name="root" select="'../../'"/>
            <xsl:sort select="./*/author/lastname"/>
            <xsl:sort select="./*/year" data-type="number" order="descending"/>
            <xsl:sort select="./*/editor/lastname"/>
            <xsl:sort select="./*/publisher"/>
          </xsl:apply-templates>
        </selection>
  </xsl:template>
  <xsl:template match="entry">
    <xsl:copy-of select="."/>
  </xsl:template>
</xsl:stylesheet>
