<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" version="4.0" encoding="ISO-8859-1" indent="yes"/>
  <xsl:strip-space elements="*"/>
  <xsl:template name="create_title">
    <xsl:param name="title"/>
    <xsl:param name="file"/>
    <xsl:param name="class"/>
    <xsl:param name="root" select="'../'"/>
    <xsl:element name="div">
      <xsl:attribute name="class">
	<xsl:value-of select="$class"/>
      </xsl:attribute>

      <xsl:value-of select="$title"/>
      <div class="translate">
	<xsl:for-each select="document('config.xml')/config/language/lang">
	  <xsl:if test="normalize-space() != $lang">
	    <xsl:element name="a">
	      <xsl:attribute name="href">
                <xsl:value-of select="concat(substring-before($file,'xx'),normalize-space(),substring-after($file,'xx'))"/>
	      </xsl:attribute>
	      <xsl:attribute name="class">switchlang</xsl:attribute>
	      <xsl:element name="img">
		<xsl:attribute name="src">
                  <xsl:value-of select="concat($root,'images/',.,'.jpg')"/>
		</xsl:attribute>
	      </xsl:element>	
	    </xsl:element>
	  </xsl:if>
	</xsl:for-each>
      </div>
    </xsl:element>
        <div class="homelink">
	<xsl:element name="a">
	      <xsl:attribute name="href">
		  <xsl:value-of select="concat($root,$lang,'/index.html')"/>
	      </xsl:attribute>
	      <xsl:attribute name="class">homelink</xsl:attribute>
	      <xsl:element name="img">
		<xsl:attribute name="src">
                  <xsl:value-of select="concat($root,'images/home.jpg')"/>
		</xsl:attribute>
	      </xsl:element>	
	    </xsl:element>
    </div>
    <xsl:element name="hr">
      <xsl:attribute name="class">
	<xsl:value-of select="$class"/>
      </xsl:attribute>
    </xsl:element>
      
  </xsl:template>
</xsl:stylesheet>
